# Build flags, just for reference. Not all of them needed.

if(BUILD_SHARED_LIBS)
	add_definitions(-DflagSHARED)
endif()

if(CMAKE_COMPILER_IS_GNUCC)
	add_definitions(-DflagGCC)
endif()

if(MSVC)
	add_definitions(-DflagMSC)
endif()

if(WIN32)
	add_definitions(-DflagWIN32)
endif()

if(UNIX OR APPLE)
	add_definitions(-DflagPOSIX)
endif()

if(CMAKE_SYSTEM MATCHES Linux)
	add_definitions(-DflagLINUX)
endif()

if(CMAKE_SYSTEM MATCHES BSD)
	add_definitions(-DflagBSD)
endif()

if(CMAKE_SYSTEM MATCHES FreeBSD)
	add_definitions(-DflagFREEBSD)
endif()

if(APPLE) # CMAKE_OSX_ARCHITECTURES
	add_definitions(-DflagOSX11)
endif()
